%define upstream_name    IO-All
%define upstream_version 0.87

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Magic all-in-one IO class
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
IO::All combines all of the best Perl IO modules into a single Spiffy object
oriented interface to greatly simplify your everyday Perl IO idioms. It exports
a single function called io, which returns a new IO::All object. And that
object can do it all!

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
# %%make has -O which causes the output to be output after the end as a whole,
# so let's use regular make. The -j flag won't help here anyway.
%__make test

%install
%make_install

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README example
%{_mandir}/man*/*
%{perl_vendorlib}/IO

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.870.0-4.mga9
+ Revision: 1809488
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.870.0-3.mga8
+ Revision: 1504751
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.870.0-2.mga7
+ Revision: 1284290
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.870.0-1.mga7
+ Revision: 1128675
- update to 0.87

* Sun Jun 19 2016 pterjan <pterjan> 0.860.0-3.mga6
+ Revision: 1028604
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.860.0-2.mga6
+ Revision: 967057
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.860.0-1.mga6
+ Revision: 848013
- update to 0.86

* Wed Oct 15 2014 umeabot <umeabot> 0.790.0-3.mga5
+ Revision: 748162
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.790.0-2.mga5
+ Revision: 685046
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 0.790.0-1.mga5
+ Revision: 671392
- update to 0.79

* Sun Aug 31 2014 sander85 <sander85> 0.780.0-1.mga5
+ Revision: 669858
- update to 0.78

* Wed Aug 27 2014 sander85 <sander85> 0.770.0-1.mga5
+ Revision: 668782
- update to 0.77

* Wed Aug 20 2014 sander85 <sander85> 0.760.0-1.mga5
+ Revision: 665922
- update to 0.76

* Sun Aug 17 2014 sander85 <sander85> 0.750.0-1.mga5
+ Revision: 664754
- update to 0.75

* Sat Aug 16 2014 sander85 <sander85> 0.710.0-1.mga5
+ Revision: 664362
- update to 0.71

* Mon Aug 11 2014 sander85 <sander85> 0.680.0-1.mga5
+ Revision: 661728
- update to 0.68

* Sun Aug 03 2014 sander85 <sander85> 0.670.0-1.mga5
+ Revision: 659408
- update to 0.67

* Fri Jul 18 2014 sander85 <sander85> 0.660.0-1.mga5
+ Revision: 653570
- update to 0.66

* Sun Jun 15 2014 sander85 <sander85> 0.650.0-1.mga5
+ Revision: 636579
- update to 0.65

* Tue Jun 10 2014 sander85 <sander85> 0.630.0-1.mga5
+ Revision: 635461
- update to 0.63

* Sun Jun 08 2014 sander85 <sander85> 0.620.0-1.mga5
+ Revision: 634804
- update to 0.62

* Mon May 19 2014 sander85 <sander85> 0.610.0-1.mga5
+ Revision: 623868
- update to 0.61

* Tue Mar 25 2014 jquelin <jquelin> 0.600.0-1.mga5
+ Revision: 608352
- update to 0.60

* Thu Mar 13 2014 jquelin <jquelin> 0.590.0-1.mga5
+ Revision: 602923
- update to 0.59

* Mon Mar 03 2014 jquelin <jquelin> 0.580.0-1.mga5
+ Revision: 598704
- update to 0.58

* Mon Feb 17 2014 jquelin <jquelin> 0.570.0-1.mga5
+ Revision: 593604
- update to 0.57

* Mon Feb 10 2014 jquelin <jquelin> 0.560.0-1.mga5
+ Revision: 588413
- update to 0.56

* Tue Jan 21 2014 shlomif <shlomif> 0.540.0-1.mga4
+ Revision: 567345
- New version 0.54

* Mon Jan 20 2014 pterjan <pterjan> 0.520.0-1.mga4
+ Revision: 567249
- Update to 0.52 to get a few bugfixes, fixing some other packages (0.53 has too much changes)

* Mon Oct 21 2013 umeabot <umeabot> 0.480.0-2.mga4
+ Revision: 540670
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 sander85 <sander85> 0.480.0-1.mga4
+ Revision: 494194
- update to 0.48

* Tue Oct 01 2013 sander85 <sander85> 0.470.0-1.mga4
+ Revision: 489969
- update to 0.47

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0-2.mga3
+ Revision: 368435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 295347
- update to 0.46

* Wed Jun 06 2012 shlomif <shlomif> 0.440.0-3.mga3
+ Revision: 256253
- Bump the release

* Wed Jun 06 2012 shlomif <shlomif> 0.440.0-2.mga3
+ Revision: 256245
- Convert tabs to spaces and valid license (rpmlint fixes)
- Add the patch to fix the warnings on recent perls.

* Thu Oct 13 2011 jquelin <jquelin> 0.440.0-1.mga2
+ Revision: 154325
- update to 0.44
- update to 0.43

* Fri Jan 21 2011 jquelin <jquelin> 0.410.0-1.mga1
+ Revision: 30543
- mageia rebuild
- imported package perl-IO-All


* Tue Aug 17 2010 Jérôme Quelin <jquelin@mandriva.org> 0.410.0-1mdv2011.0
+ Revision: 570744
- update to 0.41

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.390.0-1mdv2011.0
+ Revision: 407785
- rebuild using %%perl_convert_version

* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.39-1mdv2009.1
+ Revision: 314248
- update to new version 0.39

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.38-3mdv2009.0
+ Revision: 241542
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 01 2007 Olivier Thauvin <nanardon@mandriva.org> 0.38-1mdv2008.0
+ Revision: 20197
- 0.38


* Tue Dec 12 2006 Olivier Thauvin <nanardon@mandriva.org> 0.36-1mdv2007.0
+ Revision: 95141
- 0.36

* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.35-3mdv2007.1
+ Revision: 73503
- import perl-IO-All-0.35-3mdv2007.1

* Sat Jun 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-2mdv2007.0
- drop perl(Spiffy) buildrequires

* Fri Jun 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdv2007.0
- New release 0.35
- fix directory ownership

* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.33-2mdk
- fix buildrequires

* Sat Dec 18 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.33-1mdk
- First MDK release

